package jp.jasminesoft.wagby.job;

import org.apache.log4j.Logger;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import jp.jasminesoft.jfc.DbActionParameter;
import jp.jasminesoft.jfc.job.JFCBaseJobBean;

public class CreateCustomerJob extends JFCBaseJobBean {
    private final static Logger logger = 
        Logger.getLogger(CreateCustomerJob.class.getName());

    private CreateCustomerTask createCustomerTask;

    public void setCreateCustomerTask(CreateCustomerTask createCustomerTask) {
        this.createCustomerTask = createCustomerTask;
    }

    @Override
    protected String executeInternal0(JobExecutionContext jobContext,
	DbActionParameter p) throws JobExecutionException {
	return createCustomerTask.process(p);
    }
}